Bug 189222 - xgps display broken
xgps display broken
Product: Fedora
Classification: Fedora
Component: gpsd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Truch
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-18 10:25 EDT by Charles Curley
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 23:12:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles Curley 2006-04-18 10:25:45 EDT
Description of problem:

xgps display broken

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Plug in GPS receiver, fire up gpsd
2. Fire up xgps
Actual results:

The satellite widget (top left) and the plot widgets are both blank. Also, the
satellite widget is smaller than it should be.

Expected results:

A list of satellites, with relative location information in the satellite
widget, and a plot of satellites in the plot widget.

Additional info:

This may be related to bug # 189220, q.v.

This is on a Lenovo Thinkpad R51 (http://www.charlescurley.com/Lenovo.R51.html).
I had FC4 on it as noted on that web page. gpsd ran fine with no such messages.
I upgraded FC core via Anaconda, then updated that from updates released. gpsd
continued to run fine. I then upgraded extras, got the new gpsd, and that is
when I saw this problem.

gpsdrive appears to operate correctly.

I filed this under "gpsd" rather than "gpsd-clients" (the package that has xgps)
because there is no bugzilla package gpsd-clients.
Comment 1 Matthew Truch 2006-04-18 11:01:01 EDT
I'm almost positive this is just a manifestation of bug 189220.  Once that's
dealt with, we'll revisit this if need be.  
Comment 2 Charles Curley 2006-05-04 23:12:11 EDT
After some discussion on the gpsd developers list, one of the devlopers
concluded that this is likely an artifact of a bug in openMotif, which bug has
been been marked fixed. See
Comment 3 Matthew Truch 2006-05-04 23:30:31 EDT

Thanks for looking into this for me.  I've been swamped lately and didn't put in
my due diligence.  The request is in to upgrade openmotif to a version that's
fixed.  See bug 190331.

Note You need to log in before you can comment on or make changes to this bug.